Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xdb.spi
Class XDBContextFactory

    java.lang.Object
      |
      +--oracle.xdb.spi.XDBContextFactory

All Implemented Interfaces:
  javax.naming.spi.InitialContextFactory

public class XDBContextFactory
extends java.lang.Object
implements javax.naming.spi.InitialContextFactory

Field Summary
`static java.lang.String` | `ENV_CONNECTION`
`static java.lang.String` | `RETURN_OBJECT_TYPE`
`static java.lang.String` | `RETURN_TYPE_RESOURCE`

Constructor Summary
`XDBContextFactory()`

Method Summary
`javax.naming.Context` | `getInitialContext(java.util.Hashtable env)` Retrieves the Initial Context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RETURN_OBJECT_TYPE

    public static java.lang.String RETURN_OBJECT_TYPE

### RETURN_TYPE_RESOURCE

    public static java.lang.String RETURN_TYPE_RESOURCE

### ENV_CONNECTION

    public static java.lang.String ENV_CONNECTION

Constructor Detail

### XDBContextFactory

    public XDBContextFactory()

Method Detail

### getInitialContext

    public javax.naming.Context getInitialContext(java.util.Hashtable env)
                                           throws javax.naming.NamingException

  Retrieves the Initial Context. If the environment specifies that the return object type is Resource then a resource class is instantiated else a Context is instantiated
  Specified by:
    `getInitialContext` in interface `javax.naming.spi.InitialContextFactory`
  Parameters:
    `env` - The environment to be used for context creation
  Returns:
    the Initial Context; the initial context will always be a context i.e. not a resource
  Throws:
    `javax.naming.NameNotFoundException` - name not found
    `javax.naming.NamingException` - other naming exception
  See Also:
    `XDBDocument`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.